<?php
$title = 'Анкета';
require_once ('../system/function.php');
require_once ('../system/header.php');
if(!$user['id']) {
header('Location: /index.php');
exit();
}

$id = abs(intval($_GET['id']));
$ank = $pdo->query("SELECT * FROM `users` WHERE `id` = '".$id."'")->fetch();
$ked =
$pdo->query("SELECT * FROM `kidala`
WHERE `id` = '".$id."'")->fetchColumn();



switch($_GET['act'])
{
default:

if($ank == 0) {
echo '<div class="menu">Анкета | Ошибка</div><div class="podmenu"><center><b>Такого пользователя не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="menu"><center>Анкета пользователя</center></div>
<div class="podmenu">'.nick($ank['id']).'</div>';
$ban = $pdo->query("SELECT * FROM `ban_list` WHERE `kto` = '".$id."' && `time_end` > '".time()."' LIMIT 1")->fetch();
if($ban != 0){echo'<div class="podmenu"><font
color="red"><b>Пользователь
забанен!</b></font><br>Причина: <b>'.smile(bb($ban['about'])).'</b><br>Дата освобождения: <b>'.date('d.m.Y в H:i',$ban['time_end']).'</b></div>';}



echo '<div class="podmenu">
<img src="images/tokl.png"> Последний толчок: '.vremja($ank['viz']).'
<br />
<img src="images/regss.png"> Дата регистрации: '.vremja($ank['datareg']).'
<br />';
echo "</div>";

echo '<div class="podmenu">';
echo (empty($ank['avatar'])?'<img src="files/ava/net.jpg" alt="*" style="max-width: 210px; max-height: 210px;">':'<img src="files/ava/'.$ank['avatar'].'" alt="*" style="max-width: 210px; max-height: 210px;">');


echo '</div>
<div class="menu"> Данные:</div>';




if($ank['level'] == 0){ $dol = '<b>Юзер</b>';}
elseif($ank['level'] == 1){ $dol = '<b>Модер</b>';}
elseif($ank['level'] == 2){ $dol = '<b>Админ</b>';}
elseif($ank['level'] == 3){ $dol = '<b>Ст.Админ</b>';}

echo '<div class="podmenu">
<img src="'.$HOME.'/images/dol.png" alt="*" /> Должность: '.$dol.'
<br /></div>';
echo '</div><div class="podmenu">';
echo'<img src="'.$HOME.'/images/id.png" alt="*" /> ID: '.$id.'
<br />
<img src="'.$HOME.'/images/ime.png" alt="*" /> Имя: '.bb($ank['name']).'
<br />
<img src="'.$HOME.'/images/strana.png" alt="*" /> Страна: ';

echo (empty($ank['strana'])?'Не заполнено':''.bb($ank['strana']).'');
echo '<br /><img src="'.$HOME.'/images/gorod.png" alt="*" /> Город: ';
echo (empty($ank['gorod'])?'Не заполнено':''.bb($ank['gorod']).'');
echo '<br /><img src="'.$HOME.'/images/ank.png" alt="*" /> Сайт: ';
echo (empty($ank['osebe'])?'Не заполнено':''.bb($ank['osebe']).'');
echo '<br />';
echo '</div>';
if($ank['wmid'] != NULL){
echo '<div class="menu"> Реквизиты:</div>';
echo "<div class='podmenu'>";
if($ank['act_wmid'] == 1){echo'<font color="green">WMID - подтвержден!</font><br>';}else{echo'<font color="red">WMID - не подтвержден!</font><a href="act_wmid.php"> <b>Подтвердить</b><br>';}

if($ank['wmid'] != NULL) { echo '<img src="'.$HOME.'/images/wmid.png" alt="*" /> WMID: <a href="http://passport.webmoney.ru/asp/certview.asp?wmid=' . bb($ank['wmid']) . '">' . bb($ank['wmid']) . '</a><br/>'; echo ' BL: <img src="http://stats.wmtransfer.com/Levels/pWMIDLevel.aspx?wmid='.$ank['wmid'].'&w=35&h=18&bg=0XDBE2E9" alt="WMID"/><br/></a> Претензии/Отзывы/Иски: <img src="http://arbitrage.webmoney.ru/xml/AL2.aspx?wmid='.$ank['wmid'].'" alt="П/О/И"/><br />
WMR: '.$ank['wmr'].''; }}

echo "</div>";
echo '<div class="menu"> Активность:</div>';

$ank = $pdo->query("SELECT * FROM `users` WHERE `id` = '".$id."'")->fetch();
$raiting_prowm=$forum_t+$load_f+$news_c+$forum_p+$load_c;
$forum_p = $pdo->query("SELECT COUNT(id) FROM `forum_post` WHERE `us` = '$ank[id]'")->fetchColumn(); $guest = $pdo->query("SELECT COUNT(id) FROM `guest` WHERE `avtor` = '$ank[id]'")->fetchColumn();
$forum_t = $pdo->query("SELECT COUNT(id) FROM `forum_tema` WHERE `us` = '$ank[id]'")->fetchColumn(); $guest = $pdo->query("SELECT COUNT(id) FROM `guest` WHERE `avtor` = '$ank[id]'")->fetchColumn();
$load_f = $pdo->query("SELECT COUNT(id) FROM `load_file` WHERE `avtor` = '$ank[id]'")->fetchColumn();
$load_c = $pdo->query("SELECT COUNT(id) FROM `load_com` WHERE `avtor` = '$ank[id]'")->fetchColumn();
$news_c = $pdo->query("SELECT COUNT(id) FROM `news_com` WHERE `avtor` = '$ank[id]'")->fetchColumn();
$stena = $pdo->query("SELECT COUNT(id) FROM `stena` WHERE `avtor` = '$ank[id]'")->fetchColumn();
$polz = $pdo->query("SELECT
COUNT(id) FROM `polz_stat` WHERE `avtor`
= '$ank[id]'")->fetchColumn();
echo '<div class="podmenu">';






echo '<div class="menudiv2">Постов в форуме: '; echo '<b>'.$forum_p.'</b>'; echo '</div></a>';
echo '<div class="menudiv2">Тем в форуме: '; echo '<b>'.$forum_t.'</b>'; echo '</div></a>';
echo '<div class="menudiv2">Файлов в обменнике: '; echo '<b>'.$load_f.'</b>'; echo '</div></a>';
echo '<div class="menudiv2">Комментариев в обменнике: '; echo '<b>'.$load_c.'</b>'; echo '</div></a>';
echo '<div class="menudiv2">Комментариев к новостям: '; echo '<b>'.$news_c.'</b>'; echo '</div></a>';
echo'Полезных кодов:<b> '.$polz.'</b>';

echo '</div>';
echo '<div class="menu"> Информация:</div>';

echo '<div class="menudiv"><a href="'.$HOME.'/stena_id_'.$id.'" class="k_menu"><img src="'.$HOME.'/images/stena.png" alt="*" /> Стена ('.$pdo->query('select count(`id`) from `stena` where `ukogo` = "'.$ank['id'].'"')->fetchColumn().')</div></a></div>
<div class="menudiv"><a href="'.$HOME.'/reputation'.$id.'" class="k_menu"><img src="'.$HOME.'/images/repa.png" alt="*" /> Репутация (+'.$pdo->query('select count(`id`) from `repa_user` where `komy` = "'.$ank['id'].'" and `repa` = "+"')->fetchColumn().' | -'.$pdo->query('select count(`id`) from `repa_user` where `komy` = "'.$ank['id'].'" and `repa` = "-"')->fetchColumn().')</div></a></div>';
echo '</div>';
echo'<div class="menudiv"><a href="/user_'.$ank['id'].'?
act=arbitr" class="k_menu"><img src="../design/gradient/arbitr.png"> Арбитраж (<b><font color="green">'.$pdo->query("SELECT COUNT(*) FROM `arbitr` WHERE `ho` = '".$ank['id']."' and `ver` = '1'")->fetchColumn().'</font></b>/<b><font color="red">'.$pdo->query("SELECT COUNT(*) FROM `arbitr` WHERE `ho` = '".$ank['id']."' and `ver` = '2'")->fetchColumn().'</font></b>)</div></a>';
echo'<div class="menudiv"><a href="?act=nicks" class="k_menu"><img src="../images/pods.png"> История ников ('.$pdo->query('select count(`id`) from
`nicks` where `ho` = "'.$ank
['id'].'"')->fetchColumn().')</a></div>';
echo'<div class="menudiv"><a href="?act=nar" class="k_menu"><img src="../images/infr.png"> История банов ('.$pdo->query('select count(`id`) from `nar` where `ho` = "'.$ank['id'].'"')->fetchColumn().')</a></div>';


echo '<div class="menu">Остальные функции</div>';

if($user['id'] != $ank['id']) {

echo '<div class="podmenu"><a href="'.$HOME.'/mes/dialog'.$ank['id'].'"><img src="'.$HOME.'/images/mail.png" alt="*" /> Написать сообщение</a></div>';

$ignor = mysql_fetch_assoc(mysql_query("SELECT * FROM `message_c` WHERE `kto` = '".$user['id']."' and `kogo` = '".$ank['id']."'"));
if($ignor['ignor'] != 1) {
echo '<div class="podmenu"><a href="'.$HOME.'/mes/ignor'.$ank['id'].'"> <img src="'.$HOME.'/images/x.png" alt="*" /> Добавить в черный список</a></div>';
} else {
echo '<div class="podmenu"><a href="'.$HOME.'/mes/ignor_up'.$ank['id'].'"><img src="'.$HOME.'/images/lol.png" alt="*" /> Убрать с черного списка</a></div>';
}

}

/***Панель админа***/
if($user['level'] >= 3){echo'<div class="menu">Панель администратора</div>';
echo'<a href="panel/up_us_'.$id.'"><div class="podmenu">Редактировать пользователя</div></a>';}
if($user['level'] >= 1){echo'<div class="menu">Панель модератора</div>';
echo'<a href="moder/ban.php?id='.$id.'"><div class="podmenu">Дать бан</div></a>';}

/*** Функции для админа ***/
if($user['level'] >= 1) {
echo '<div class="menu"> Обзор пользователя:</div>';
echo '<div class="podmenu">
Браузер: '.$ank['browser'].' <br />
IP: '.$ank['ip'].'
</div>';
}

break;

case 'nar':
echo'<div class="menu">История банов | '.nick($id).'</div>';
$nar = $pdo->query("SELECT * FROM `nar` where `ho` = '".$id."' ORDER BY `id`");
while($n = $nar->fetch()){
echo'<div class="podmenu">Забанил: '.nick($n['who']).' ('.vremja($n['time']).')<br>';
echo'За что: <b>'.$n['why'].'</b><br>';
echo'</div>';}
break;
case 'nicks':
echo'<div class="menu">История ников | '.nick($id).'</div>';
if($user['level'] >= 3){
if(isset($_POST['submit'])){
$nick = strong($_POST['nick']);
if(empty($nick)) $err[] = 'Новый ник остался пустой...';
$dinfo = $pdo->query("SELECT `login` FROM `users` WHERE `login` = '".$nick."' LIMIT 1")->fetch();
if(!empty($nick))if($dinfo!=0) $err[] = 'Логин занят';
if(empty($old)) $old = $user['login'];
if(!$err){
$pdo->exec("INSERT INTO
`nicks`(			`who`,`ho`,`old`,`new`,`time`)VALUES('".$id."','".$user['id']."','".$old."','".$nick."','".time()."')");
$pdo->exec("UPDATE `users` SET `login`='".$nick."' WHERE `id` = '".$id."' limit 1");
header('Location: /user_'.$id.'?act=nicks'); exit;
}else{
echo '<div class="podmenu"><b>';
foreach($err as $err_info){
echo $err_info.'<br>';
}
echo '</b></div>';
}}
echo '<div class="podmenu">
<form action="" method="post">
Сменить ник:<br><input name="nick" value=""/><input type="submit" value="Сохранить" name="submit"/></form></div>';}
$nicks = $pdo->query("SELECT * FROM `nicks` where `who` = '".$id."' ORDER BY `id` DESC LIMIT 25");
while($nicks2 = $nicks->fetch()){echo '<div class="podmenu">'.$nicks2['old'].' >'.$nicks2['new'];
echo '<br>'.nick($nicks2['ho']).' ('.vremja($nicks2['time']).')</div>';
}
break;
case 'arbitr':
$id = abs(intval($_GET['id']));
echo'<div class="menu">Арбитраж | '.nick($id).'</div>';
if($id != $user['id']){
if(isset($_REQUEST['save'])){
$text = strong($_POST['text']);
$ver = strong($_POST['ver']);
if(empty($text)){echo'<div class="podmenu">Вы не заполнили описание отзыва/притензии!</div>';
include_once '../system/footer.php';
exit();}
$arno = mysql_query("SELECT * FROM `arbitr` where `who` = '".$user['id']."' and `ho` = '".$id."' ORDER BY `id` DESC limit 1");
while($arno2 = mysql_fetch_assoc($arno)){
if((time()-$arno2['time']) < ((60*60)*24)) $err[] = 'Оставлять Отзыв/Притензию можно только 1 раз в сутки!';
}
if(!$err){
mysql_query("INSERT INTO `arbitr`(`who`,`ho`,`mode`,`ver`,`text`,`time`)VALUES('".$user['id']."','".$id."',			'0','".$ver."','".$text."','".time()."')");
$adm = $pdo->query("SELECT *
FROM `users` where `level` >= '3'");
while($ad = $adm->fetch()){
$pdo->exec("INSERT INTO
`lenta` SET `readlen` = '0', `time` =
'".time()."', `komy` = '".$ad['id']."', `kto` = '".$user['id']."', `text`
= 'Оставил в арбитраже
отзыв или притензию пользователю ".nick($id)." [url=".$HOME."/panel/?act=arb_adm]подтвердить[/url]'");
}
}else{
echo '<div class="err"><b>';
foreach($err as $err_info){
echo $err_info.'<br>';
}
echo '</b></div>'; }
}
echo '<div class="podmenu">
<form action="" method="post">
*Выбрать:<select name="ver">
<option value="1">Отзыв</option>
<option value="2">Притензия</option>
</select><br>  За что:<br><textarea name="text" style="width:98%;" rows="3"></textarea><br>';
echo '<input type="submit" value="Оставить" name="save"/>
</form></div>';
}
$arbv = $pdo->query("SELECT * FROM `arbitr` where `ho` = '".$id."'");
while($arbv2 = $arbv->fetch()){
echo '<div class="podmenu"><a href="/us'.$arbv2['who'].'">'.nick($arbv2['who']).'</a> ('.vremja($arbv2['time']).') ';
if($arbv2['ver'] == 1){
echo '<font color="green"><b>[Отзыв]</b></font></br>';
}else{
echo'<font color="red"><b>[Притензия]</b></font></br>';}
echo'Причина: <b>'.smile(bb($arbv2['text'])).'</b>';
if($arbv2['mode'] == 0){
echo '</br><font color="red"><b>[На проверке в арбитраже]</b></font>';
}else{
echo '</br><font color="green"><b>[Подтверждено]</b></font>';}
echo '</div>';}
$arbv = $pdo->query("SELECT *
FROM `arbitr` where `ho` = '".$id."'")->fetchColumn();
if($arbv == 0){
echo'<div class="podmenu">Еще нет отзывов и притензий!</div>';
}
break;
case 'ked':
$id = abs(intval($_GET['id']));
if($user['level'] < 3){echo'<div class="podmenu">У вас не достаточно прав для доступа на эту страницу!</div>';
include_once '../system/footer.php';}
echo'<div class="menu">Добавить на доску пользователя:</div>';
if(isset($_REQUEST['yes'])){
$ked = mysql_fetch_assoc
(mysql_query("SELECT * FROM `users`
WHERE `id` = '".$id."'"));
mysql_query("INSERT INTO `kidala` SET `id_user` = '".$id."', `nick` =
'".$ked['login']."'");

mysql_query("UPDATE users SET ked='1' WHERE id='".$id."'");
echo'<div class="podmenu">Данный пользователь успешно добавлен на доску позора!</div>';
echo'<a href="user_'.$id.'"><div class="podmenu">В анкету</div></a>';
include_once '../system/footer.php';
exit();
}
echo'<div class="podmenu">Вы действительно хотите его добавить в список кидал?';
echo'<form action="" method="POST"><input type="submit" name="yes" value="Да, подтверждаю!"></form>';
echo'<a href="'.$HOME.'/user_'.$id.'"><input type="submit" value="Нет, не подтверждаю!"></div></a>';

echo'</div>';
break;

case 'stena':

if($ank == 0) {
echo '<div class="title">Анкета | Ошибка</div><div class="podmenu"><center><b>Такого пользователя не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/user_'.$id.'">Анкета '.$ank['login'].'</a> | Стена</div>';

if(isset($_REQUEST['ok'])) {

$msg = strong($_POST['msg']);
if(empty($msg)) {
echo '<div class="podmenu"><center><b>Введите сообщение!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($msg) < 3) {
echo '<div class="podmenu"><center><b>Введите сообщение минимум 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$ttte = mysql_fetch_array(mysql_query('select * from `stena` where `avtor` = "'.$user['id'].'" and `msg` = "'.$msg.'"'));
if($ttte != 0) {
echo '<div class="podmenu"><center><b>Вы такой пост уже писали!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$tim = mysql_query("SELECT * FROM `stena` WHERE `avtor` = '".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `stena` "));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['stena'])
{
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$news_antispam['stena'].' секунд!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}
mysql_query("INSERT INTO `stena` SET `msg` = '".$msg."', `avtor` = '".$user['id']."', `ukogo` = '".$id."', `time` = '".time()."'");

if($user['id'] != $ank['id']) {
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'написал у Вас на [url=".$HOME."/stena_id_".$ank['id']."?selection=top]стене[/url]'");
}

header('Location: '.$HOME.'/stena_id_'.$id.'');
}

echo '<div class="podmenu">
<form action="" method="POST">
*Сообщение:<br />
<textarea name="msg" placeholder="Введите текст..."></textarea><br />
<input type="submit" name="ok" value="Написать" />
</form></div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `stena` WHERE `ukogo` = '".$id."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$stena = mysql_query("SELECT * FROM `stena` WHERE `ukogo` = '".$id."' ORDER BY `time` DESC LIMIT $start, $max");
while($st = mysql_fetch_assoc($stena))
{
echo '<div class="links">'.nick($st['avtor']).' ('.vremja($st['time']).')';
if($id == $user['id'] or $user['level'] >= 1) echo ' [<a href="'.$HOME.'/delmsg_'.$st['id'].'">уд</a>]';
echo '</div><div class="podmenu">'.smile(bb($st['msg'])).'</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Сообщений пока еще нет!</b></center></div>';
}

if ($k_page>1) {
echo str('stena_id_'.$id.'?',$k_page,$page); // Вывод страниц
}

break;
case 'delmsg':

$id = abs(intval($_GET['id']));
$stenka = mysql_fetch_assoc(mysql_query("SELECT * FROM `stena` WHERE `id` = '".$id."'"));
$anks = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$stenka['ukogo']."'"));

if($stenka == 0) {
echo '<div class="title">Анкета | Ошибка</div><div class="podmenu"><center><b>Такого комментария не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($anks['id'] == $user['id'] or $user['level'] >= 1) {
mysql_query("DELETE FROM `stena` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/stena_id_'.$anks['id'].'');
exit();
} else {
header('Location: '.$HOME.'/stena_id_'.$anks['id'].'');
exit();
}

break;
case 'repa':

if($ank == 0) {
echo '<div class="title">Анкета | Ошибка</div><div class="podmenu"><center><b>Такого пользователя не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/user_'.$id.'">Анкета '.$ank['login'].'</a> | Репутация</div>';

if(isset($_REQUEST['ok'])) {

$text = strong($_POST['text']);
$repa = strong($_POST['repa']);

if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($repa != '+' && '-') {
echo '<div class="podmenu"><center><b>Можно ставить только + или -</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($text) < 3) {
echo '<div class="podmenu"><center><b>Введите сообщение минимум 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$sql = mysql_fetch_array(mysql_query('select * from `repa_user` where `kto` = "'.$user['id'].'" and `text` = "'.$text.'"'));
if($sql != 0) {
echo '<div class="podmenu"><center><b>Ошибка!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

$tim = mysql_query("SELECT * FROM `repa_user` WHERE `komy` = '".$id."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `repa` "));
$ncm_timeout = $ncm2['time'];
$vremja = 86400 * $news_antispam['repa'];
if((time()-$ncm_timeout) < $vremja) {
echo '<div class="podmenu"><center><b>Репутацию можно изменять раз в '.$news_antispam['repa'].' дня!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
}

mysql_query("INSERT INTO `repa_user` SET `text` = '".$text."', `kto` = '".$user['id']."', `komy` = '".$id."', `time` = '".time()."', `repa` = '".$repa."'");

if($user['id'] != $ank['id']) {
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$ank['id']."', `kto` = '".$user['id']."', `text` = 'Повысил вашу [url=".$HOME."/reputation".$ank['id']."?selection=top]репутацию[/url]'");
}

header('Location: '.$HOME.'/reputation'.$id.'');
}

if($user['id'] != $ank['id']) {

echo '<div class="podmenu"><form action="" method="POST">
*Сообщение:<br /><textarea name="text" placeholder="Введите текст..."></textarea> <br />
<select name="repa">
<option value="+">Плюс</option>
<option value="-">Минус</option>
</select> <br/ >
<input type="submit" name="ok" value="Изменить репутацию" />
</form></div>';

}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `repa_user` WHERE `komy` = '".$id."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$repa = mysql_query("SELECT * FROM `repa_user` WHERE `komy` = '".$id."' ORDER BY `time` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($repa))
{
echo '<div class="links"><b>'.$a['repa'].'</b> От '.nick($a['kto']).' ['.vremja($a['time']).']';
if($user['level'] >= 1) echo ' [<a href="'.$HOME.'/del_repa_'.$a['id'].'">del</a>]';
echo '</div><div class="podmenu">'.smile(bb($a['text'])).'</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Репутацию пока не изменяли!</b></center></div>';
}

if ($k_page>1) {
echo str('reputation'.$id.'?',$k_page,$page); // Вывод страниц
}

break;
case 'del_repa':

$id = abs(intval($_GET['id']));
$repa = mysql_fetch_assoc(mysql_query("SELECT * FROM `repa_user` WHERE `id` = '".$id."'"));
$anks = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$repa['komy']."'"));

if($repa == 0) {
echo '<div class="title">Анкета | Ошибка</div><div class="podmenu"><center><b>Данный ID в базе не найден!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if($user['level'] >= 1) {
mysql_query("DELETE FROM `repa_user` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/reputation'.$anks['id'].'');
exit();
} else {
header('Location: '.$HOME.'/reputation'.$anks['id'].'');
exit();
}

break;
}

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>
